import { BaseMarkupMode } from './base';
export declare class RestructuredText extends BaseMarkupMode {
    private _attribute;
    private _blockquote;
    private _bold;
    private _code;
    private _italic;
    private _link1;
    private _link2;
    private _link3;
    private _link4;
    private _list;
    private _mono;
    private _h1;
    private _h2;
    private _h3;
    private _h4;
    private _h5;
    private _h6;
    constructor(quill: any);
    highlightInline(): void;
    highlightBlock(): void;
    handleBold(): void;
    handleHeader(level?: number): void;
    handleItalic(): void;
    handleMono(): void;
    handleStrikeThrough(): void;
    handleUnderline(): void;
}
