import { BaseMarkupMode } from './base';
export declare class Asciidoc extends BaseMarkupMode {
    private _attribute;
    private _bold;
    protected _code: RegExp;
    protected _codeSection: RegExp;
    protected _comment: RegExp;
    protected _commentBlock: RegExp;
    private _h1;
    private _h2;
    private _h3;
    private _h4;
    private _h5;
    private _h6;
    private _h1block;
    private _h2block;
    private _h3block;
    private _h4block;
    private _h5block;
    private _h6block;
    private _italic;
    private _keyword;
    private _link1;
    private _list;
    private _mono;
    private _option;
    private _strikethrough;
    private _underline;
    constructor(quill: any);
    highlightInline(): void;
    highlightBlock(): void;
    handleBold(): void;
    handleHeader(level: number): void;
    handleItalic(): void;
    handleMono(): void;
    handleStrikeThrough(): void;
    handleUnderline(): void;
}
